/*
 * Copyright (c) 2006, Your Corporation. All Rights Reserved.
 */

package addbk.print.labels;

import utils.CompactJava;

import java.io.Serializable;
import java.util.Vector;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Apr 3, 2005
 * <p/>
 * Time: 4:40:58 PM
 */
public class LabelBeans implements Serializable {
    private Vector<LabelBean> v = new Vector<LabelBean>();

    public LabelBeans(){

    }

    public void add(addbk.print.labels.LabelBean lb) {
        v.addElement(lb);
    }

    public LabelBean[] getLabelBeans() {
        LabelBean lb[] = new LabelBean[v.size()];
        v.copyInto(lb);
        return lb;
    }

    public static void main(String[] args) {
        LabelBean lb = new LabelBean();
        lb.setName("avery 5371");
        lb.setPageMarginLeftInMM(19);
        lb.setPageMarginRightInMM(19);
        lb.setPageMarginTopInMM(13);
        lb.setPageMarginTopInMM(13);
        lb.setNumberOfLabelsPerSheet(10);
        lb.setNumberOfLabelsPerColumn(5);
        lb.setVerticalGutterInMM(0);
        lb.setHorizontalGutterInMM(0);
        LabelBeans lbs = new LabelBeans();
        lbs.add(lb);
        lbs.add(LabelBean.restore());
        System.out.println(lbs);
    }

    public String toString() {
        return CompactJava.toXml(getLabelBeans());
    }
}
